// an example using weka 3.7.1
import java.util.ArrayList;

import weka.classifiers.Classifier;
import weka.classifiers.Evaluation;
import weka.classifiers.functions.SMO;
import weka.core.Attribute;
import weka.core.DenseInstance;
import weka.core.Instance;
import weka.core.Instances;
import weka.core.converters.ConverterUtils.DataSource;

public class WekaTest {

  public static void main(String[] args) {
    try {
      DataSource source = new DataSource("weather.arff");
      Instances instances = source.getDataSet();
      instances.setClassIndex(4);
      Classifier classifier = new SMO();
      classifier.buildClassifier(instances);

      Evaluation eval = new Evaluation(instances);
      eval.evaluateModel(classifier, instances);
      System.out.println(eval.toSummaryString());

      ArrayList<String> out = new ArrayList<String>(3);
      out.add("sunny");
      out.add("overcast");
      out.add("rainy");
      Attribute outlook = new Attribute("outlook", out, 0);
      Attribute temperature = new Attribute("temperature", 1);
      Attribute humidity = new Attribute("humidity", 2);
      ArrayList<String> win = new ArrayList<String>(2);
      win.add("TRUE");
      win.add("FALSE");
      Attribute windy = new Attribute("windy", win, 3);

      Instance instance = new DenseInstance(5);
      instance.setValue(outlook, "sunny");
      instance.setValue(temperature, 100);
      instance.setValue(humidity, 100);
      instance.setValue(windy, "FALSE");
      instance.setDataset(instances);

      double result = classifier.classifyInstance(instance);
      System.out.println(result);
    } catch (Exception e) {
      e.printStackTrace();
    }

  }

}
